{
    template:'${tmpl}',
    data:function(){
        return {
           appinfo:appinfo,
           apicallinfo:{apioutcallcount:0,apioutcallamount:0,apiincallcount:0,apiincallamount:0},
           isAdmin:false,
        }
    },
    mounted:function(){
         this.fetchApiCallData();
       
    },
    created:function(){
    },
    methods:{
       async fetchApiCallData(){
          var d=   await this.$root.postReq("/web/common/appCtl/fetchApiCallData",{curappkey:appinfo.appkey});
          if(d.status==0){
            this.apicallinfo.apioutcallcount=d.data.apioutcallcount;
            this.apicallinfo.apioutcallamount=d.data.apioutcallamount;
            this.apicallinfo.apiincallcount=d.data.apiincallcount;
            this.apicallinfo.apiincallamount=d.data.apiincallamount;
          }
          this.isAdmin=this.currentUser.isAdmin;
       }
    },
    vname:"gsb_myappinfo"
}
